<script>
    import { fade } from 'svelte/transition'

    export let transition = {}
</script>

<svg in:fade={transition} viewBox="0 0 50 50" xmlns="http://www.w3.org/2000/svg">
    <path
        d="M25.251,6.461c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615V6.461z"
    >
        <animateTransform
            attributeName="transform"
            attributeType="xml"
            dur="0.6s"
            from="0 25 25"
            repeatCount="indefinite"
            to="360 25 25"
            type="rotate"
        />
    </path>
</svg>

<style lang="postcss">
    path {
        @apply fill-current;
    }
</style>
